/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "../../../../../../styles/openk.styles";

:host {
  width: 100%;
}

.email {
  align-items: center;
  display: grid;
  grid-template-columns: max-content auto max-content;
  grid-column-gap: 0.25em;

  flex: 1;

  > * {
    margin-bottom: 1em;
  }
}


.email--identifier {
  margin-right: 0.5em;
}

.email--input {
  flex: 1;
}

.department {
  display: flex;
  width: 100%;
  align-items: center;
  margin-bottom: 1em;
  flex-wrap: wrap;
  padding-left: 0.7em;
}

.department--select {
  flex: 1 1 15em;
  width: 15em;
  margin-right: 0.5em;
}

.buttons {
  display: flex;
  justify-content: flex-end;
}

.buttons-add {
  display: flex;
  flex: 1;
  justify-content: flex-start;
}

.select-group-entry--input {
  font-size: 1em;
}

.select-group-entry--label {
  padding-left: 0.25em;
  display: block;
}

.filter-group {
  background-color: $openk-background-highlight;
  padding: 0.3em;
  border-radius: 6px;
  border: 1px solid $openk-form-border;
  display: inline-flex;
  align-items: center;
  box-sizing: border-box;
  height: 100%;
  margin-right: 0.5em;
}

.hide-button {
  visibility: hidden;
}

.department-buttons {
  padding: 1px 12px 1px 6px;
}

.department-selection {
  flex: 1;
  display: flex;
  align-items: center;
  margin: 3px;
}

.user-info--container {
  display: flex;
  flex-direction: row;
}
